<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateSoftKeySetReq StructType
 * @subpackage Structs
 */
class UpdateSoftKeySetReq extends NameAndGUIDRequest
{
    /**
     * The removeCallStates
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var RemoveCallStates
     */
    public $removeCallStates;
    /**
     * The addCallStates
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var AddCallStates
     */
    public $addCallStates;
    /**
     * The callStates
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var CallStates
     */
    public $callStates;
    /**
     * Constructor method for UpdateSoftKeySetReq
     * @uses UpdateSoftKeySetReq::setRemoveCallStates()
     * @uses UpdateSoftKeySetReq::setAddCallStates()
     * @uses UpdateSoftKeySetReq::setCallStates()
     * @param RemoveCallStates $removeCallStates
     * @param AddCallStates $addCallStates
     * @param CallStates $callStates
     */
    public function __construct(RemoveCallStates $removeCallStates = null, AddCallStates $addCallStates = null, CallStates $callStates = null)
    {
        $this
            ->setRemoveCallStates($removeCallStates)
            ->setAddCallStates($addCallStates)
            ->setCallStates($callStates);
    }
    /**
     * Get removeCallStates value
     * @return RemoveCallStates|null
     */
    public function getRemoveCallStates()
    {
        return $this->removeCallStates;
    }
    /**
     * Set removeCallStates value
     * @param RemoveCallStates $removeCallStates
     * @return UpdateSoftKeySetReq
     */
    public function setRemoveCallStates(RemoveCallStates $removeCallStates = null)
    {
        $this->removeCallStates = $removeCallStates;
        return $this;
    }
    /**
     * Get addCallStates value
     * @return AddCallStates|null
     */
    public function getAddCallStates()
    {
        return $this->addCallStates;
    }
    /**
     * Set addCallStates value
     * @param AddCallStates $addCallStates
     * @return UpdateSoftKeySetReq
     */
    public function setAddCallStates(AddCallStates $addCallStates = null)
    {
        $this->addCallStates = $addCallStates;
        return $this;
    }
    /**
     * Get callStates value
     * @return CallStates|null
     */
    public function getCallStates()
    {
        return $this->callStates;
    }
    /**
     * Set callStates value
     * @param CallStates $callStates
     * @return UpdateSoftKeySetReq
     */
    public function setCallStates(CallStates $callStates = null)
    {
        $this->callStates = $callStates;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return UpdateSoftKeySetReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
